#### D.14.5.23 netvector

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netvector(V); V vector

Assume:
  V is a vector

Return:
  visual presentation of V

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r1=101,(x,y,z),lp;
    poly a=2x3y4;
    poly b=2x3y4z;
    poly c=x3y4z5;
    poly d=5x6y7z10;
    poly e=2x3y;
    poly f=4y5z8;
    vector V=[a,b,c,d,e,f];
    netvector(V);
    ==> | 2x3y4    |
    ==> | 2x3y4z   |
    ==> | x3y4z5   |
    ==> | 5x6y7z10 |
    ==> | 2x3y     |
    ==> | 4y5z8    |
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.